JBoss API: Class ProxyProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy
Class ProxyProxy

    java.lang.Object
      |
      +--org.jboss.proxy.ProxyProxy

All Implemented Interfaces:
  javax.ejb.EJBObject, java.rmi.Remote, java.io.Serializable

public class ProxyProxy
extends java.lang.Object
implements java.io.Serializable, javax.ejb.EJBObject

See Also:
  Serialized Form

Constructor Summary
`ProxyProxy(InvocationHandler handler, java.lang.Class[] targetTypes)`

Method Summary
`javax.ejb.EJBHome` | `getEJBHome()`
`javax.ejb.Handle` | `getHandle()`
`java.lang.Object` | `getPrimaryKey()`
`boolean` | `isIdentical(javax.ejb.EJBObject parm1)`
`java.lang.Object` | `readResolve()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyProxy

    public ProxyProxy(InvocationHandler handler,
                      java.lang.Class[] targetTypes)

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()
                                 throws java.rmi.RemoteException

  Specified by:
    `getEJBHome` in interface `javax.ejb.EJBObject`

### getHandle

    public javax.ejb.Handle getHandle()
                               throws java.rmi.RemoteException

  Specified by:
    `getHandle` in interface `javax.ejb.EJBObject`

### getPrimaryKey

    public java.lang.Object getPrimaryKey()
                                   throws java.rmi.RemoteException

  Specified by:
    `getPrimaryKey` in interface `javax.ejb.EJBObject`

### isIdentical

    public boolean isIdentical(javax.ejb.EJBObject parm1)
                        throws java.rmi.RemoteException

  Specified by:
    `isIdentical` in interface `javax.ejb.EJBObject`

### remove

    public void remove()
                throws java.rmi.RemoteException,
                       javax.ejb.RemoveException

  Specified by:
    `remove` in interface `javax.ejb.EJBObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.